Version API du graphe

Whats App Business Account Subscribed Apps

Lecture

Get a list of apps subscribed to webhooks for the WABA.

Exemple

Graph API Explorer
GET /v25.0/{whats-app-business-account-id}/subscribed_apps HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/subscribed_apps',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/subscribed_apps",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/subscribed_apps",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/subscribed_apps"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Pour apprendre à utiliser l’API Graph, consultez notre guide Utiliser l’API Graph.

Paramètres

Ce point de terminaison n’a aucun paramètre.

Champs

La lecture à partir de cette arête renverra un résultat au format JSON :

{ "data": [], "paging": {} }

data

Une liste de nœuds WhatsAppApplication.

paging

Pour plus de détails à propos de la pagination, voir Guide de l’API Graph.

Error Codes

ErreurDescription
100Invalid parameter
200Permissions error
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

Création

You can make a POST request to subscribed_apps edge from the following paths:
When posting to this edge, a WhatsAppApplication will be created.

Paramètres

ParamètreDescription
override_callback_uri
URI

Required if overriding the callback URL.


New callback URL. See Overriding the Callback URL.

verify_token
string

Required if overriding the callback URL.


Callback verification token. See Overriding the Callback URL.

Type de retour

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}

Error Codes

ErreurDescription
100Invalid parameter
2200subscription validation failed
200Permissions error
2201received an invalid hub.challenge while validating endpoint
190Invalid OAuth 2.0 Access Token
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

Mise à jour

Vous ne pouvez pas effectuer cette opération sur ce point de terminaison.

Suppression

You can dissociate a WhatsAppApplication from a WhatsAppBusinessAccount by making a DELETE request to /{whats_app_business_account_id}/subscribed_apps.

Paramètres

Ce point de terminaison n’a aucun paramètre.

Type de retour

Struct {
success: bool,
}

Error Codes

ErreurDescription
100Invalid parameter
200Permissions error
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.
190Invalid OAuth 2.0 Access Token